Bug 1193822 (TEIID-3344) - Querying server-generated REST WAR fails with NPE when parameter is of type string
Summary: Querying server-generated REST WAR fails with NPE when parameter is of type s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: TEIID-3344
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.2.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 10:34 UTC by Andrej Smigala
Modified: 2016-02-10 08:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:57:08 UTC
Type: Bug


Attachments (Terms of Use)
vdb (1.44 KB, application/xml)
2015-02-18 10:34 UTC, Andrej Smigala
no flags Details
stacktrace (4.97 KB, text/plain)
2015-02-18 10:35 UTC, Andrej Smigala
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-3344 Major Closed Querying server-generated REST WAR fails with NPE when parameter is of type string 2016-10-24 14:42:18 UTC

Description Andrej Smigala 2015-02-18 10:34:46 UTC
Created attachment 993046 [details]
vdb

When the attached dynamic VDB is deployed, querying http://localhost:8080/sample_1/view/proc1/1 causes a NullPointerException (stacktrace from log attached).

Querying the other procedures in the VDB (proc2 - proc4, which are identical except for the type of the parameter) works as expected.

This issue appears in CR1 and CR2, not in earlier versions.

Comment 1 Andrej Smigala 2015-02-18 10:35:30 UTC
Created attachment 993047 [details]
stacktrace

Comment 3 JBoss JIRA Server 2015-02-18 15:42:31 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3344 to Resolved

Comment 4 JBoss JIRA Server 2015-04-02 19:51:33 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3344 to Reopened

Comment 5 JBoss JIRA Server 2015-04-02 19:51:53 UTC
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3344 to Closed


Note You need to log in before you can comment on or make changes to this bug.